abuse-tool(6)

NAME
abuse-tool - Minimal data editor for the Abuse game files.

SYNOPSIS
abuse-tool file.spe command [options]

DESCRIPTION
abuse-tool allows to dump and edit the contents of Abuse SPEC (.spe) files.

COMMANDS

list
    list the contents of a SPEC file.

get <id>
    dump the raw contents of entry <id> to the standard output.

getpcx <id>
    dump entry <id> reformated as a PCX image to the standard output.

put <id> <type> <name>
    insert the raw contents of file <name> at position <id> in the SPEC file, with file type <type>.

putpcx <id> <type> <name>
    insert the contents of PCX image <name> at position <id> in the SPEC file, with file type <type>.

rename <id> <name>
    set name of entry <id> to <name>.

move <id1> <id2>
    move entry <id1> to position <id2>.

del <id>
    delete entry <id> from the SPEC file.

SEE ALSO
abuse(6)

AUTHORS
Sam Hocevar <sam@hocevar.net>